### A free/open-source library for quantitative finance

WeekendsOnly Class Reference
Calendars

Weekends-only calendar. More...

`#include <ql/time/calendars/weekendsonly.hpp>`

Inheritance diagram for WeekendsOnly:
[legend]

List of all members.

## Detailed Description

Weekends-only calendar.

This calendar has no bank holidays except for weekends (Saturdays and Sundays) as required by ISDA for calculating conventional CDS spreads.